Subject: Re: [EN] NNCP 8.1.0 release announcement

From: John Goerzen <[email-masked]>
Date: Sun, 16 Jan 2022 19:19:29 -0600

Hi Sergey,

I just read http://www.nncpgo.org/Yggdrasil.html and WOW, this is
fantastic!

I've read up on the doc page and I'm a little unclear on a few things:

- Does it support the Yggdrasil LAN multicast, and if so, can the
  interfaces it listens on for that be listed?

- If one does not want to have an open port for incoming peer
  connections, can a person just omit the bindPublic and bindLocalhost?

- Does the "optional list of allowed incoming connections" refer to
  systems that are allowed to establish peering connections to the
  embedded Yggdrasil node, or does it mean a list of systems that are
  allowed to connect to NNCP over Yggdrasil?

- Either way, I'm unclear how to give that list of allowed incoming
  connections.

Thanks!

- John

On Sun, Jan 16 2022, Sergey Matveev wrote:

> I am pleased to announce NNCP 8.1.0 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable files, file
> requests, Internet mail and commands transmission. All packets are
> integrity checked, end-to-end encrypted (E2EE), explicitly authenticated
> by known participants public keys. Onion encryption is applied to
> relayed packets. Each node acts both as a client and server, can use
> push and poll behaviour model. Also there is multicasting areas support.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential and
> append-only CD-ROM/tape storages, air-gapped computers support. But
> online TCP daemon with full-duplex resumable data transmission exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> * "nncp-cfgdir" does not require "self" section existence in
>   configuration file.
>
> * Ability to act as Yggdrasil network client, using online protocol
>   on top of it. http://www.nncpgo.org/Yggdrasil.html
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found here:
>
>     http://www.nncpgo.org/download/nncp-8.1.0.tar.xz (1339 KiB)
>     http://www.nncpgo.org/download/nncp-8.1.0.tar.xz.sig
>
> SHA256 hash: 777536DF 775E76D6 6B05645D 6F440494 D39DFCBD 7E52DE02 5AF919A3 94CF53EC
> GPG key ID: 0x2B25868E75A1A953 NNCP releases <[email-masked]>
> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>
> There are mirrors where you can also get the source code tarballs:
> http://www.nncpgo.org/Mirrors.html
>
> Please send questions regarding the use of NNCP, bug reports and patches
> to mailing list: http://lists.cypherpunks.ru/nncp_002ddevel.html